Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1806779 - Cannot mirror a local release to a remote registry
Summary: Cannot mirror a local release to a remote registry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Clayton Coleman
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1755886 1806780
TreeView+ depends on / blocked
 
Reported: 2020-02-25 02:17 UTC by Clayton Coleman
Modified: 2020-07-31 08:22 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Allow mirroring release images to a file and from file to registry.
Clone Of:
: 1806780 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:20:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 320 0 None closed Bug 1806779: Allow a file:// release argument to release mirror 2020-11-09 06:15:26 UTC
Github openshift oc pull 424 0 None closed Bug 1806779: Mirroring from custom directory via oc adm release mirror fails 2020-11-09 06:15:08 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:21:15 UTC

Description Clayton Coleman 2020-02-25 02:17:01 UTC
The oc adm release mirror file support was intended to support downloading the release to disk and then pushing it to a remote repository after moving into an isolated network.  However, it is not possible to specify a from source for the release that includes both release and images today.

The intended usage is:

oc adm release mirror OPENSHIFT_VERSION --to file://openshift/release
# move across networks
oc adm release mirror file://openshift/release:OPENSHIFT_VERSION --to MIRROR_REPOSITORY

Because the location on disk involves changing the image location, and mirror cannot rewrite the release contents, we need oc adm release mirror to support a heuristic that checks the local store for a given digest within the release and uses that as the source if found.

This will allow mirror to correctly support both sides of the mirroring operation.

Backport to 4.3 so offline support can be completed. Low risk because this is an optional code path and the fallback is the previous behavior.

Comment 1 Clayton Coleman 2020-02-25 02:26:43 UTC
Also, the absence of --to-dir due to using the current directory must be correctly supported at flag time.

Comment 4 Johnny Liu 2020-03-03 12:52:19 UTC
Test this bug with 4.4.0-0.nightly-2020-03-03-065638.

# oc version
Client Version: 4.4.0-0.nightly-2020-03-03-065638

# oc adm release mirror -a ~/mirror_pullsecret_config.json --from=registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-03-03-065638 --to=file://test
<--snip-->
Success
Update image:  test:4.4.0-0.nightly-2020-03-03-065638
Mirror prefix: file://test

To upload local images to a registry, run:

    oc image mirror 'file://test:4.4.0-0.nightly-2020-03-03-065638*' REGISTRY/REPOSITORY


The command from the above command is working well.
# oc image mirror 'file://test:4.4.0-0.nightly-2020-03-03-065638*' upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release
upshift.mirror-registry.qe.devcluster.openshift.com:5000/
  ocp/release
    manifests:
      sha256:001fc4d0a20206748a3e0b3ce0ae3b6c9ee88cf508dda9db03ac78db5ebb20e5 -> 4.4.0-0.nightly-2020-03-03-065638-cluster-etcd-operator
<--snip-->
sha256:d1db4d6ea9acb3eb919025d924c98946dfa9188269e33888f5b278334632423d upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.4.0-0.nightly-2020-03-03-065638-telemeter
info: Mirroring completed in 930ms (0B/s)


But the following questions are about how to consume the mirror image.
1. No 'imageContentSources' output when uploading disk file to internal registry (this is different when mirror image from public registry to internal registry). That is inconvenient to use this mirror image for installation.
2. The mirror command is using "oc adm release mirror" to mirror image to disk, but output is suggesting to use 'oc image mirror' to upload image to private registry, this is not intended usage, Should also use "oc adm release mirror" for uploading, isn't it? 
3. I also tried to use "oc adm release mirror" command to upload the disk files to private registry, command return success, but still no 'imageContentSources' output.
# oc adm release mirror 'file://test:4.4.0-0.nightly-2020-03-03-065638*' --to=upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release
error: unable to retrieve release image info: "test:4.4.0-0.nightly-2020-03-03-065638*" is not a valid image reference: invalid reference format

# oc adm release mirror --from=file://test:4.4.0-0.nightly-2020-03-03-065638 --to=upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release
info: Mirroring 108 images to upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release ...
upshift.mirror-registry.qe.devcluster.openshift.com:5000/
  ocp/release
    manifests:
<--snip-->
info: Mirroring completed in 1.7s (0B/s)

Success
Update image:  upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.4.0-0.nightly-2020-03-03-065638
Mirror prefix: upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release

Comment 5 Johnny Liu 2020-03-03 13:15:44 UTC
Test this bug with 4.4.0-0.nightly-2020-03-03-065638.

# oc version
Client Version: 4.4.0-0.nightly-2020-03-03-065638

# oc adm release mirror -a ~/mirror_pullsecret_config.json --from=registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-03-03-065638 --to=file://test
<--snip-->
Success
Update image:  test:4.4.0-0.nightly-2020-03-03-065638
Mirror prefix: file://test

To upload local images to a registry, run:

    oc image mirror 'file://test:4.4.0-0.nightly-2020-03-03-065638*' REGISTRY/REPOSITORY


The command from the above command is working well.
# oc image mirror 'file://test:4.4.0-0.nightly-2020-03-03-065638*' upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release
upshift.mirror-registry.qe.devcluster.openshift.com:5000/
  ocp/release
    manifests:
      sha256:001fc4d0a20206748a3e0b3ce0ae3b6c9ee88cf508dda9db03ac78db5ebb20e5 -> 4.4.0-0.nightly-2020-03-03-065638-cluster-etcd-operator
<--snip-->
sha256:d1db4d6ea9acb3eb919025d924c98946dfa9188269e33888f5b278334632423d upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.4.0-0.nightly-2020-03-03-065638-telemeter
info: Mirroring completed in 930ms (0B/s)


But the following questions are about how to consume the mirror image.
1. No 'imageContentSources' output when uploading disk file to internal registry (this is different when mirror image from public registry to internal registry). That is inconvenient to use this mirror image for installation.
2. The mirror command is using "oc adm release mirror" to mirror image to disk, but output is suggesting to use 'oc image mirror' to upload image to private registry, this is not intended usage, Should also use "oc adm release mirror" for uploading, isn't it? 
3. I also tried to use "oc adm release mirror" command to upload the disk files to private registry, command return success, but still no 'imageContentSources' output.
# oc adm release mirror 'file://test:4.4.0-0.nightly-2020-03-03-065638*' --to=upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release
error: unable to retrieve release image info: "test:4.4.0-0.nightly-2020-03-03-065638*" is not a valid image reference: invalid reference format

# oc adm release mirror --from=file://test:4.4.0-0.nightly-2020-03-03-065638 --to=upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release
info: Mirroring 108 images to upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release ...
upshift.mirror-registry.qe.devcluster.openshift.com:5000/
  ocp/release
    manifests:
<--snip-->
info: Mirroring completed in 1.7s (0B/s)

Success
Update image:  upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.4.0-0.nightly-2020-03-03-065638
Mirror prefix: upshift.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release

Comment 6 Johnny Liu 2020-03-03 13:41:15 UTC
Sorry, this bug is targeted for 4.5, my verification steps are for 4.4. Move back to ON_QA.

Comment 7 Johnny Liu 2020-03-23 12:28:36 UTC
[root@v4-disconnected-registry ~]# oc version
Client Version: 4.5.0-0.nightly-2020-03-23-052135

On an host, mirror release image to local file
[root@v4-disconnected-registry ~]# oc adm release mirror -a ~/mirror_pullsecret_config.json --from=registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-03-23-052135 --to=file://test --to-dir=/mnt/jialiu45/data
info: Mirroring 110 images to file://test ...
<dir>
  test
    blobs:
      quay.io/openshift-release-dev/ocp-v4.0-art-dev sha256:d2e513b3abc67a5070901989b6af07333296177db84213798d41826c2370ed0e 631B
<--snip-->

Success
Update image:  test:4.5.0-0.nightly-2020-03-23-052135
Mirror prefix: file://test

To upload local images to a registry, run:

    oc image mirror --from-dir=/mnt/jialiu45/data 'file://test:4.5.0-0.nightly-2020-03-23-052135*' REGISTRY/REPOSITORY


Go to disconnected registry host to mirror local file to private registry, the command from the above output is working well.

[root@preserve-v4-registry-no-internet ~]# pwd
/root

[root@preserve-v4-registry-no-internet ~]# /opt/mirror-to-disk/jialiu45/oc image mirror --from-dir=/opt/mirror-to-disk/jialiu45/data 'file://test:4.5.0-0.nightly-2020-03-23-052135*' upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release
upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/
  ocp/release
    blobs:
      file://test sha256:d2e513b3abc67a5070901989b6af07333296177db84213798d41826c2370ed0e 631B
<--snip-->
sha256:402dc0f4d5f3de03456954154b41a514345fe3a91dad35375cab5730fb9b797d upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-03-23-052135-cluster-svcat-controller-manager-operator
sha256:559e38c1171467ee375f2ea873495624920accf3ae0ff4b99cae98964e708897 upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-03-23-052135-haproxy-router
info: Mirroring completed in 48.19s (127.6MB/s)



But the following questions are about how to consume the mirror image.
1. No 'imageContentSources' output when uploading disk file to internal registry (this is different when mirror image from public registry to internal registry). That is inconvenient to use this mirror image for installation.
2. The mirror command is using "oc adm release mirror" to mirror image to disk, but output is suggesting to use 'oc image mirror' to upload image to private registry, this is not intended usage, Should also use "oc adm release mirror" for uploading, isn't it? 
3. I also tried to use "oc adm release mirror" command to upload the disk files to private registry, seem like command does not work with --from-dir option.
[root@preserve-v4-registry-no-internet ~]# /opt/mirror-to-disk/jialiu45/oc adm release mirror --from-dir=/opt/mirror-to-disk/jialiu45/data --from=file://test:4.5.0-0.nightly-2020-03-23-052135 --to=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release --to-release-image=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-03-23-052135
error: unable to retrieve release image info: unable to read image file://test:4.5.0-0.nightly-2020-03-23-052135: unknown blob
4. Switch pwd to /opt/mirror-to-disk/jialiu45/data, run this command again, then it works, but still no 'imageContentSources' output.
[root@preserve-v4-registry-no-internet data]# /opt/mirror-to-disk/jialiu45/oc adm release mirror --from-dir=/opt/mirror-to-disk/jialiu45/data --from=file://test:4.5.0-0.nightly-2020-03-23-052135 --to=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release --to-release-image=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-03-23-052135
<--snip-->
info: Mirroring completed in 1.7s (0B/s)

Success
Update image:  upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-03-23-052135
Mirror prefix: upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release

Comment 9 Clayton Coleman 2020-05-15 13:19:25 UTC
> But the following questions are about how to consume the mirror image.
> 1. No 'imageContentSources' output when uploading disk file to internal registry (this is different when mirror image from public registry to internal registry). That is inconvenient to use this mirror image for installation.

The docs PR that corresponds to these changes here: https://github.com/openshift/openshift-docs/pull/17896/files#diff-21ddacc727855ec1dc3074e6e76e430dR56 describes using ICS from a dry run (the one mirroring to disk)

> 2. The mirror command is using "oc adm release mirror" to mirror image to disk, but output is suggesting to use 'oc image mirror' to upload image to private registry, this is not intended usage, Should also use "oc adm release mirror" for uploading, isn't it? 

It probably should not output that anymore.

> 3. I also tried to use "oc adm release mirror" command to upload the disk files to private registry, seem like command does not work with --from-dir option.
> [root@preserve-v4-registry-no-internet ~]# /opt/mirror-to-disk/jialiu45/oc adm release mirror --from-dir=/opt/mirror-to-disk/jialiu45/data --from=file://test:4.5.0-0.nightly-2020-03-23-052135 --to=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release --to-release-image=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-03-23-052135
> error: unable to retrieve release image info: unable to read image file://test:4.5.0-0.nightly-2020-03-23-052135: unknown blob

In the mirror to disk you used: --to=file://test --to-dir=/mnt.  In the mirror from disk you have to use --from-dir=PLACE_MOUNT_WAS_COPIED_TO and --from=file://test:...  This works for me when I test with it - can you provide the directory structure of the data dir?

> 4. Switch pwd to /opt/mirror-to-disk/jialiu45/data, run this command again, then it works, but still no 'imageContentSources' output.
> [root@preserve-v4-registry-no-internet data]# /opt/mirror-to-disk/jialiu45/oc adm release mirror --from-dir=/opt/mirror-to-disk/jialiu45/data --from=file://test:4.5.0-0.nightly-2020-03-23-052135 --to=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release --to-release-image=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-03-23-052135
<--snip-->
> info: Mirroring completed in 1.7s (0B/s)

> Success
> Update image:  upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-03-23-052135
> Mirror prefix: upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release

As mentioned before the docs would be updated to tell you to dry-run before and use those.  Also in 4.5 (i believe) we write the config to disk.

Comment 10 Johnny Liu 2020-05-18 03:36:23 UTC
> In the mirror to disk you used: --to=file://test --to-dir=/mnt.  In the mirror from disk you have to use --from-dir=PLACE_MOUNT_WAS_COPIED_TO and --from=file://test:...  This works for me when I test with it - can you provide the directory structure of the data dir?

[root@preserve-jialiu-ansible ~]# oc adm release mirror --from=registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-05-17-220731 --to=file://test --to-dir=/mnt/mirror-to-disk/4.5.0-0.nightly-2020-05-17-220731
info: Mirroring 110 images to file://test ...
<dir>
  test
    blobs:
      registry.svc.ci.openshift.org/ocp/release sha256:82a8f4ea76cb6f833c5f179b3e6eda9f2267ed8ac7d1bf652f88ac3e9cc453d1 1.561KiB
      registry.svc.ci.openshift.org/ocp/release sha256:6f7379a1099c4dcd2b70446235ce24f0d66a7e6e3accf303a46d79429cf67691 1.628KiB
      registry.svc.ci.openshift.org/ocp/release sha256:d50f736b1f2ba878a77fc028ff7c45834ae22c855c63abc09b6d1e2d2b05666d 275.5KiB
      registry.svc.ci.openshift.org/ocp/release sha256:aa4157ec14434883020edddc2a6a5f1169fd1d795a1423d52e73c0c913d16061 3.339MiB
      registry.svc.ci.openshift.org/ocp/release sha256:ecb569cd56158627a6da5677a3ef673b490689cf4aea2dea92206e21b6418ab9 7.855MiB
      registry.svc.ci.openshift.org/ocp/release sha256:810f47a9c8f2ac0bc1c30b20162cbab4216666039148233b038d87160058b83c 18.65MiB
      registry.svc.ci.openshift.org/ocp/release sha256:a3ac36470b00df382448e79f7a749aa6833e4ac9cc90e3391f778820db9fa407 72.74MiB
    blobs:
      quay.io/openshift-release-dev/ocp-v4.0-art-dev sha256:9831d63ecac9773e1f80530d64191d307f07f337b21c28f8abde94453f5f7975 631B
      quay.io/openshift-release-dev/ocp-v4.0-art-dev sha256:58e1deb9693dfb1704ccce2f1cf0e4d663ac77098a7a0f699708a71549cbd924 1.527KiB
      quay.io/openshift-release-dev/ocp-v4.0-art-dev sha256:82a8f4ea76cb6f833c5f179b3e6eda9f2267ed8ac7d1bf652f88ac3e9cc453d1 1.561KiB
<--snip-->
sha256:62725f4dc36665d22332ca3b1ebf84fa2768f06d4f82c0d39f9644a0ad086528 file://test:4.5.0-0.nightly-2020-05-17-220731-thanos
info: Mirroring completed in 1m28.47s (68.38MB/s)

Success
Update image:  test:4.5.0-0.nightly-2020-05-17-220731
Mirror prefix: file://test

To upload local images to a registry, run:

    oc image mirror --from-dir=/mnt/mirror-to-disk/4.5.0-0.nightly-2020-05-17-220731 'file://test:4.5.0-0.nightly-2020-05-17-220731*' REGISTRY/REPOSITORY

Configmap signature file /mnt/mirror-to-disk/4.5.0-0.nightly-2020-05-17-220731/config/signature-sha256-10b76810f8c58bbc.yaml created


[root@preserve-jialiu-ansible ~]# tree /mnt/mirror-to-disk/
/mnt/mirror-to-disk/
`-- 4.5.0-0.nightly-2020-05-17-220731
    |-- config
    |   `-- signature-sha256-10b76810f8c58bbc.yaml
    `-- v2
        `-- test
            |-- blobs
            |   |-- sha256:0012133ad4a305900b38b6e971b75d55b7bba69839e39e5e1a138e60a44a0bf8
            |   |-- sha256:00be7372752308daf19b61a535646b314087bf111a21f299e90c30dcdf9bbdfc
            |   |-- sha256:00bfe41247db6fb8e7c6eefafbb8d90d06713a2d18ea1e55ae535e7cbefbd634
            |   |-- sha256:011e900a4808f25e7d04d00238260e89fa4f5508f9f866f42cfed0048aeccb87
            |   |-- sha256:01e71427557b3cea6db99e8bdc2398d6bbcbdd1960ecf8156559f2d63df1bdf0
            |   |-- sha256:01fa36ca6909f0e514a00f33ad5edbd0de2b131429797c9c052ee1737f8f7245
            |   |-- sha256:0246d160d94d8a2d49610038b15b1cf538364fb0a733ea06092a55685ab7bac1
            |   |-- sha256:027ea034249ea535910fa0dfca05e2dae5f883b4368adc2b00b4e9460503dab4
            |   |-- sha256:02af29d2d2dcb2d4f2292899366797b914e237149779e21a5425fdd4d10749cf
            |   |-- sha256:02e885904a4145f2a9b3287e96311b9ada2832730ee447d282c086a44131ee9f
            |   |-- sha256:0311e63870d4798bff2891272a3f20e1047b4ee8031904231de8d9e0410c1201
            |   |-- sha256:0355bb5575242f985715fcabb532f7a56cddd647e60017391e984b8aba764520
            |   |-- sha256:036bcd6108adf49744eee0dd51771e082a7f93b6db2fca27b65d26db0e74d39f
            |   |-- sha256:03a44c89ba5dbf3a68a068b7a4e21978861c3a85b0cd4cd6b75baeb38bdfaeb9
            |   |-- sha256:043f47eb284fa345fcf9ecae49848e89faf3022ec1c1db9c78649640826bc87e
            |   |-- sha256:04dbd3803b1ad5f2a939ba12bd9306687bd3b918f61fb0e7a98bad55e13abe53
            |   |-- sha256:050a85af03ac5b964dfa5c64684393016b81118264122e7f060794d5ff9739e6
            |   |-- sha256:05450909e53a93acfd0e966f58a65afe7114ce81531e2da9038424e1f2a2394d
            |   |-- sha256:05feefb1c2def30d5aae684febc881a0fb035a8283491dc7da52c922cf5f8c61
            |   |-- sha256:069b5a3650440b48e682c7ff9feaad9dc4eade65c28b1a532008351a011f60e6
            |   |-- sha256:06e360027eff3d0a7aeaf8eb48a7078fa4018d2f5cfec728a392612202c0e9fd
            |   |-- sha256:074a85c80be7b2ef3ffa06924f413faa0fd7d869770b30f0329cf110acfd9a36
            |   |-- sha256:078c99ce764934b88fe59ed6b6f7adf87565da7995a55482e392d6bcc5292d3f
            |   |-- sha256:07ccca8b63a03557fa665f15260bd20924475d365c2e2fa6a4e461be35750156
            |   |-- sha256:07d050c001c55e4f2490e11230f5479f71a8ed0721162a60c1a2b3b5257e27d7
            |   |-- sha256:080a5c42e2c51da3c0405f69bae2d7ff8fa2335155962cbb6558ba8883c1e65d
            |   |-- sha256:080d3e33c727c8ce1001ccaaa0f8725b9936b3b243640d51c4edd474bf545335
            |   |-- sha256:08b33c5a6608a36b8e3126da7d175f3df189d113c01fb0048d3ea282ba4baaf3
            |   |-- sha256:096476b1373bd145fbd176d94f9f516fb1c4c5971ff3c8ec97b2b04b5f6964a5
            |   |-- sha256:0b2d508212e756bb9fd31aba4363a95a5bc229d72d7c063d5ad200698291a00a
            |   |-- sha256:0c6a514ed793d4b3c4b3ea3a70c3bf9faa1b1fd15bf4507386e24dd08ab207a4
            |   |-- sha256:0d34edcf3cf8e33a3698130baa592fa95f6f13330cef78f527383f846307de84
            |   |-- sha256:0e39f28287ba4d17c17734456b2cede5425d2b67476058fa24ab5f56c9b02b9e
            |   |-- sha256:0ee26f6643001112ec8c1404b4995091cf0a977e6a3ae952d079805b2917fcbd
            |   |-- sha256:0f52369bc847a9e39e5c25489efa3e6f2a82cd8ab75a21d18edf5d6bfbe150fe
            |   |-- sha256:0fecbb07646f047c42be073d29764ccc73648d202ee6b2293562f6bb3260ae48
            |   |-- sha256:10b76810f8c58bbc7a0a6fdbb4e7b0b1aa8f4937d2451afe5b68234657d9320b
            |   |-- sha256:1127699d07ce1407a89c9aa6a5e31678c232c012e29aa0d439e9d78331353b76
            |   |-- sha256:11d0679450708b3f864b4e6d84c78150dc79555a24e96eed6d2d75309b1fd68d
            |   |-- sha256:12031b59a8fdb6dab4f36722944693dac8ece117ebb4ab809aa9ce06cec265d0
            |   |-- sha256:1213e10a9cb880c94671d48f89f92827b1c578929dd211bc02f31710b8d5d45e
            |   |-- sha256:12e8d249dd6b5e2909a94e400a9dd7e959a5ea6a02bec96fcb4ae7aff25f37b9
            |   |-- sha256:144ff72c2469281c02d5d667b44190e00920a155cc38afc7b13e184af62ae7fb
            |   |-- sha256:1544bc3af3487415894fbdafe0677e6c7f87a7d949a1992221baab5784ace870
            |   |-- sha256:15d6be034994fb106e2521239fe4d551ea2b80685c31569c0516d4e95c9ab2e8
            |   |-- sha256:160eaa31f2196026dda3a15ac66f8a938c47ce150ff1023d34d07993b3108d71
            |   |-- sha256:1735a0666e7cea4fcb20f2be061e61487be64d6cacb50c9410c22f0b27dae995
            |   |-- sha256:17f9e2bc199e8cd8a1d7cc87b0175d824c217a32ac573fa2e2de00dc93f6d36e
            |   |-- sha256:1837c12cd92594b815fc545257f90a5b6b0c52909883367601e2562ca50ade79
            |   |-- sha256:186947c582e889212cede2ad59456240fdf92c50caee6e050042f37e2dcbf439
            |   |-- sha256:1976bbc23711b8abe9a1afc4cb9875a5ba323b6fe487287f1d97fe43ab7bbb63
            |   |-- sha256:19f9499b1025fcf19e86a3a1382a7b792cbfbfcc62d988e7f0a588253ac1e712
            |   |-- sha256:1a193fb9c28a3ba2be3743660e8544219d9b3f813e1d1bfac273e8be6fd4a906
            |   |-- sha256:1ad1a36361c62b6062ee009f6a6e605cd3f7f07dd6b9113821264d7c1149a82e
            |   |-- sha256:1b2d7f44320367d907454c794ef2702bc80193ceda5660f86ce1fae3c41438c9
            |   |-- sha256:1b783ed2a644f6e6c314cc81e0ac7ed5d4af9c7056bed7fab222def7d9a3f4cd
            |   |-- sha256:1c5a403a1e424d8ed7b54a28c1568fa7a4e973c52518af8ccb9be35c19ecf5fe
            |   |-- sha256:1c6e77b4ccce2fce0486243a69593d96f8154f136b0581a8cdbae589c5086ab5
            |   |-- sha256:1dd9852dd03caec9dd69f455d41f8743ebff4f27dedfda61b1ae94ef2539f5a6
            |   |-- sha256:1ebb42e9705d1c9c7430accb4bec8ac228ac91e6cc1c99cdac8c0c80fbdcf5d2
            |   |-- sha256:1f8c7e9abf795cc1623018562f9857d1c9340767007be648e2005d715ae56aba
            |   |-- sha256:1faf3f9b104e048e7d216e518ceb3c84617f0777da22cd2d76b97dda63b9647b
            |   |-- sha256:206d0f0707c2eadc598b0067ed4657674a6fc2919763c6bb90058ba9fa7e07a1
            |   |-- sha256:23302e52b49d49a0a25da8ea870bc1973e7d51c9b306f3539cd397318bd8b0a5
            |   |-- sha256:2350cd4b5e299eca4624031955248080a12df272bdb730689a2453716cb1c34f
            |   |-- sha256:240d44638dc3f500e44f3f6204f767e9b2d6bed43a7b257056f99172a8869396
            |   |-- sha256:245b3c6a097ab3d7471fe218de6439154f75bb068e95c687ea76edd99b4440e9
            |   |-- sha256:248ee43bd819ccfab2c0c92de8ba36d55e32052c61ff32e988cd41ccd1183850
            |   |-- sha256:270c9c097ad22c2b3a135ee5e8c8a8fa9655a02cbd07dac25787072f3c76c324
            |   |-- sha256:273226b80e26c62a5dd6514466be8c6ff14e6cfce810f1cc0227d0120ce629a3
            |   |-- sha256:27538e3c3545c71a9a338aded8cc428793cd54bc928edec20a0c6d77a58134c9
            |   |-- sha256:283a11b2486acf6b9e4d1e5c7a7b4134e9480b9cdc7441085df51ce782faddcd
            |   |-- sha256:289c23c44a4aaf349a298354e30108c89917f9a9e32ba63d943f981d6b657c55
            |   |-- sha256:2928c1156b3d550fedc1d9a9bb686ee919b782313d373b2608e5a3a04e54e2aa
            |   |-- sha256:2d0888a5365f0bdac384e386641ec0584a5fcedb04e00a7c65440218465fb030
            |   |-- sha256:2d41491ecbdc76c3daa5264a118e208c091af2b114ee1b699706e5ca29490066
            |   |-- sha256:2e298a789160492e9f0d799549abee201b64a56922e554d81d5ad8eeb6ac5e4d
            |   |-- sha256:2e3af06b0890983fd102e7a7f9399d03fd707dfd8bb201e45bf7169e4248d0ed
            |   |-- sha256:2e7191a03ac8a1591627e12be9f91f1687ca7b0df2b2d6b03323ded62b6539c5
            |   |-- sha256:2fa0d9535b588a396674dacf6d53a1b03eb9892e156b3cbe290ab3f16e06504a
            |   |-- sha256:3073bac8f3cfe72322269ac53865767c9a46b743cb19605c53f01cfed394b4d0
            |   |-- sha256:30e04a1f05b8263d5dca1cc3f207808065bc4b9c2bec74c4f6af681e0d9d8ea6
            |   |-- sha256:31c8b807699afd71da52777f2f4798122efc775b85aad198a25cca795195b4c1
            |   |-- sha256:32fd8c465bfbedaf82dc9a36ad6406d5f2ecca6da5c84db2017b5dfed484566e
            |   |-- sha256:33382d9f94c0b87602088682a34529924bb1c00cf0450a9ead3ab984e3a92891
            |   |-- sha256:36034ae69f464b9409df9009534cfbfead3c1db6bb59cd0bf5e2c475db84692b
            |   |-- sha256:378e296c3c1db3925ea7d28521f43d34c539ecd3b6a57b75ffc5da8e220c8a8f
            |   |-- sha256:37e5c80e445f0b256f9c4117de6334696251fbd9614f4ce043006fe2af1bbcb6
            |   |-- sha256:394653c98357b985e087ba0ec185214709c66c5611bde8cc0d3a44a6245e9aa7
            |   |-- sha256:3a06ab9d6234b012bc1baf522feed4e1001847c837464ba384710cd2e241a1a0
            |   |-- sha256:3b97ed28f77dbdee38164b11e1d02852c5501178b1e478564439d0660574e121
            |   |-- sha256:3c39ce945076112f18c71cf601d875c96310df8c7846ca48bb8b824294d41466
            |   |-- sha256:3df196225525cfad173c3e1a6a2206fb5a2efe21d5e549b08765d4fd5766e2c2
            |   |-- sha256:3e2d8aa9b8967118695729c58f0390b51cdb2ef837be31a8b619875a7e335fa0
            |   |-- sha256:3f8581d4ca28af712eaf6bb31a685757729df7b93d5dd37a58d80381fe18f6be
            |   |-- sha256:3ffdb24385ff442b016196dbb09c825cb3371b947f04b219dac6d56519cc07b0
            |   |-- sha256:4116d5743b3da6579411a82d533b1a8dcb2ef48cfc482b28f5e24e06338c238b
            |   |-- sha256:43929f99df6b8c0d58613702f912a9f4deaece9a6c43b560f1105218a7ba508c
            |   |-- sha256:4453da092b54a0360d75528eef9c4977e74cd99f37480f69d272d4ae7dd51986
            |   |-- sha256:453b420f341b1e173074226d2c917fb71d3c1ab6e0e2be70a7700d4a27ee7523
            |   |-- sha256:4575d3953cc2632b70552b33ce6469431c9fe6b8f16ee55bc980f02d0483ef3d
            |   |-- sha256:4603244470d2a32af248b02aed317a53d2b8d14b63cd44351fd645c801c36fac
            |   |-- sha256:463a672d922e79a0cb3ba82b68bd61a6fa32a4917147ec7e8d5b7ad1787318ca
            |   |-- sha256:46e574fded0429574f9808f2ae71c6284b4733fbfff871b88e17e75a8e39b809
            |   |-- sha256:4859352107b2c9ff39932882e7650880590e5de33b622197773dbcb37c2cf41f
            |   |-- sha256:4925b1b18135e7c10a5e236f9d05056bcbb975ea6983de74282f67854c09f7ba
            |   |-- sha256:49eadc3c77c3864a827c0066cd27f85fc5bcf0d203aed591a6560b11a056da74
            |   |-- sha256:4a4151315a7b37d5e05c3388cbb3a9519ddf6596f362bc789d8821266a6a6652
            |   |-- sha256:4a803faab3060d1cd19c2391acdb01cbc75dd6dd5a7786dfcb957c0d83587211
            |   |-- sha256:4ac85fc26430e532aeb93e661ffa0299aaa66ef275e5f4ecffe24af526eec074
            |   |-- sha256:4ae4b904816dcda7297f010ce784d5c9db87f6cf976c7a641bdfec06b34a5dd9
            |   |-- sha256:4aec69bde3e035aaa572da8913df28a3cb54057b99ab6aae1361305a83406cde
            |   |-- sha256:4b3897dee70d16f8b3b3b7935c9523d5683697950238b1872e3d5c3744afe001
            |   |-- sha256:4b44e54aea42eb6e2775b4a7f7b539aac0ed6b723db2fff06bfbbc286c4f7df4
            |   |-- sha256:4dd8ed6b8cbdd868955111f8851db96de81e1022488ed15542c3b6c483c5a622
            |   |-- sha256:4dee5db41037264c9c3e21338984bae70aedf3e5b81c1dea70039ece87170914
            |   |-- sha256:4e5023f5e2b8506c9bdcec0346759e7291b96ea2fea6add107082beddafe975d
            |   |-- sha256:4f05fb11b162e7d0ddd427e336bf35615b90f58b5f6a74797bb1d265e82dc13c
            |   |-- sha256:51091392cb0377ec3015c51ccc367b725c7258e4001483e89e642e36ed0012d3
            |   |-- sha256:511817206209ed5a42c597513c07315eb1c3522f68ed4ca34c41d33ee8f3b033
            |   |-- sha256:5148a95a2c0845ba1d9f3d5d43046d6cb578853928e9d46c7dd844b9f1fb0a26
            |   |-- sha256:528f6376b6c4943d0c6781debd298b0fb5197ce90c8872997c1fc5aee705ebaf
            |   |-- sha256:53ffde97633517f0addf1ef569a95221b7b071f4c8405176d9b6efab10c9f856
            |   |-- sha256:5522e88ee6729f7cf5d2af01041d6a87a27e5eb16aeed808e86c9afa5e11cb80
            |   |-- sha256:55b4b35427b261197fbc1e7bd876c82244d39e74d96da273e1d7ac2c2e4b11b8
            |   |-- sha256:565df15ed56d784e47b01fd2172f0ebcaa1ec9b754f6d7b672c28b11d2771360
            |   |-- sha256:56e6a776dd4d854d5aefdd4b865f164436a2a2fe4525628a3d4061bb896cc631
            |   |-- sha256:58e1deb9693dfb1704ccce2f1cf0e4d663ac77098a7a0f699708a71549cbd924
            |   |-- sha256:5930ee3d99f8fc0053052c52d64f58a2b9f8bdc559943a540dad11e0e2459f09
            |   |-- sha256:596bffdc1a487653bc55e65e462b2f3a870ede86d30eafb8c25c0eb4db16d236
            |   |-- sha256:5a5e52c643c2b2fbb49d18e135c0ec05083133a278c476e322a91b3091f86a70
            |   |-- sha256:5a97cd2c956e841412c683ad7fb1b69154e9a7e4c9c58504f9447f7402582196
            |   |-- sha256:5ae55ef1731f24301d56744d5f899331e820ed6aa15e93373c83782b96d25ad9
            |   |-- sha256:5af668ccf268831c1cbfd8a688da3b38372bf1139273664d8d9abcf7b6c2e900
            |   |-- sha256:5b42d700d2cb4be19d83f4762839534bfabe25ea2d34ee0696efb26ded3a99ff
            |   |-- sha256:5b83476d9b996e6562ec88f98cbd924b1bd9606bc273c6fb14d87847bd1750da
            |   |-- sha256:5c909ba73443038231d6bff76cab17aa760d2bfcf0d797c932cf7116f54692a8
            |   |-- sha256:5d2ed9a1637e2074c82ef691d4e9e36077d03094c30109772c66fc3a12949783
            |   |-- sha256:5da3f894ce29815762680b5aa52ed1cc0c553eaff47977468653712187363fc6
            |   |-- sha256:5db745108be957bc50f58f6fe3f1a9de8642f32f1ae719f46c3b87f86477e60d
            |   |-- sha256:5e7212fddb839e383f8e102bb9a8d834608c01dae038790ac510f31c05c40641
            |   |-- sha256:5fbca2d63566f338ca85b2886765cdfc04914abcd56bfea6c07f92bf32ff4f4a
            |   |-- sha256:6019d942ded27bda650409e6c54b7e81dd8c16f53e00f5ac3f8a7b0d9d9e198f
            |   |-- sha256:60cfd68ad12298c6bcd3bec6c51e49baf134cdcd7867044483709dc9b46d2ad9
            |   |-- sha256:60ffa0b7586d637921ce67420a8b7508208d2e1ba6c150df76e74f45af0896b5
            |   |-- sha256:615f7a1522b9f7b155017b806a869121d9b7149c35df024622b3ec0d3ace651c
            |   |-- sha256:6185796cc98e4f28ff741cff14217067b8b29fac1f1e3e1ae09621f5b8725950
            |   |-- sha256:6216de2658a6072204cf8ef479d007a9dbdb9d5d4d845c7116193bbb75ce031d
            |   |-- sha256:62725f4dc36665d22332ca3b1ebf84fa2768f06d4f82c0d39f9644a0ad086528
            |   |-- sha256:62a0d24397ac2eb7540c8e430667f1ece5060438fa9445466ba7d9a62001b2ea
            |   |-- sha256:64a6fa54f6fd54d6f58034197b22ddfd5de075ac6feaaba88775bf2bb9039350
            |   |-- sha256:65b7f4f98ad86659f6b18254c460daf2ae2daeaad89fe4817fd164abe876f452
            |   |-- sha256:660c51179f3781de9984a4d2350f310ae030c7ea16c2486ad172f2db8df1cc5b
            |   |-- sha256:66bbbf9c20c68282989639dd43f1ac5e452c62b55f7fc4d73d457c17e6d3de31
            |   |-- sha256:67163563a2d9ae01fabe1a72bd54870930984162e7b28b98a0dd65ee1dd33880
            |   |-- sha256:68c9d484930256c1c6eeaab8e8c655a897f3527b605c89a2606e11f67b6de12e
            |   |-- sha256:69bc6ecf3b8c77956c6dd71cae21c21c8c83cc3434224848f29bcc85fde56f05
            |   |-- sha256:6a13176442178439148695caa1e77fa222a4238cb71c255cf8d84a7022a64f60
            |   |-- sha256:6b250274ba627ed5ae967e627291638a5b7b32194fef7daf9113803d1d50dc5d
            |   |-- sha256:6d48167fd71bf05381aec657fd7206bc676a8af04d15f444ca20255f5b526e3e
            |   |-- sha256:6d8e9abd2142f83c9ef86323ba1dfbf8a7537098a97e01b1ebd5119505d53456
            |   |-- sha256:6e7185de8c84ac65aacd5a82dae9bf68788fbe7d3eeb9c0d891bb72dcfa45e9a
            |   |-- sha256:6ec3302ba68590ebcfc0fd82c16011734980ff23a7f11d14e0c78c51bf91e3ba
            |   |-- sha256:6f528143ebb74aaf4f7f5d26e2ad3b53a411bfec903bd3ef946579e0fc2a9a66
            |   |-- sha256:6f72a4d349864bf0f8ccf09a87fc55a6d1d610b9ed14782596c168d4cc29149e
            |   |-- sha256:6f7379a1099c4dcd2b70446235ce24f0d66a7e6e3accf303a46d79429cf67691
            |   |-- sha256:7223d692ceed79f9080f66bba0c7ac89e9a9a35b040badf9c1921e20d8933ad4
            |   |-- sha256:72e7af9e5534fe0b482a5ce9ade58198020eb1da2cdffca3d5acbaf02d8a48b0
            |   |-- sha256:74471c1124d286040ee2c06a5ad9010c5b6d249be46fa743df1a6499783988c0
            |   |-- sha256:74e8985bfde4b3cc197cd37647af9e122077ca11dc83fc786c51bf4ccd05455b
            |   |-- sha256:750e96c9ca09132d61253ecc741fe10329a1e256d514413f5af6e91053fd933c
            |   |-- sha256:753942c5aedddeeb1374d35586593d95bb464acb35b1a8748dd59e744de9f93f
            |   |-- sha256:755766d5af7741c45f33d67e2de7cb768dea39528cc854c22183f58780a3250a
            |   |-- sha256:75fa2b0510a7afb6dba5e2d0c57fa61e76085d4a925b672b8911333752a3785a
            |   |-- sha256:762637c000a7fef279dc3caf11d39c8c4eb6ee08c0957a11edbfdc75091f8a94
            |   |-- sha256:767acfb8f8e0251b34cfce33b7a200b76edd8f042f1ea724572cdf43a63f68ea
            |   |-- sha256:76cb121839df12776cf018c72fa46dd8f2022880c892b68feb3a450b1e1d6a6a
            |   |-- sha256:77e3b904452b0fefc25bd69665241c29917875de6b725ee1782ad59bdaf27a47
            |   |-- sha256:78afc5364ad2c981e4a4919f535aaefef9ac2f990837be01c766764e025b1f31
            |   |-- sha256:7a42a2a1f732892e699e705d5aeb84ec3b535e4ae52276106ecefb8a929b2f83
            |   |-- sha256:7a9f1ab36850c572bbca6901590f71c6a902dd3c2331a1657f5443b7a75db5fc
            |   |-- sha256:7b72684e6e2386ad443be2400d8ef962c27bf1db7caf2f23d058c3f0ccd10a68
            |   |-- sha256:7bb4d6b49a2b9c735de096fca3463bd5baf32eb5017bbfc1eeb653902c10c75b
            |   |-- sha256:7cb6fcc07ea926a4a3cec8c21c9cb1b924ad23952836db91e4c86558f05ae321
            |   |-- sha256:7d04c95e26c98de979d29a8a729fe4af005126a7b178c3bcaea997a12b87a54b
            |   |-- sha256:7d751c96f0c08e76aefe53394e77e3737ded449cc6d2725827073d3a5998fbbd
            |   |-- sha256:7ec19e4ba4c8ec1f4717532da2e2cba54c8c2d2da44d17820388b8e83ba7ca50
            |   |-- sha256:7f35bb3a1794309d0861173757ae8de64c62befcc654afbf84bf3c57f772317a
            |   |-- sha256:80479540905976daee69968373c7631974ed13cee5c9198b67dd9c156d3d0c6c
            |   |-- sha256:810f47a9c8f2ac0bc1c30b20162cbab4216666039148233b038d87160058b83c
            |   |-- sha256:8178644309999cfbf82f8e51ed116654540a8424e92a694a2e24a84c6fa0af1d
            |   |-- sha256:823907b06814760edc155d0d3beb6a7647768cd29d4cabdfa570558485b46f44
            |   |-- sha256:823c36590e8029679f03800006fab52c06be42dc2dacdf57533f174ee2a2df14
            |   |-- sha256:82a8f4ea76cb6f833c5f179b3e6eda9f2267ed8ac7d1bf652f88ac3e9cc453d1
            |   |-- sha256:842cf02c6f939b7658f00a54ed6f5e48276c6b0af8314bdba061ba0901a85582
            |   |-- sha256:84f6bc5b96789c44a1397ed58a4e1bb366b1c350e548381958f59e6c2d9db1ab
            |   |-- sha256:8532ddc319a64a2741e32d561664ae8d19d1f9f6b57371eccc3469c2e989c652
            |   |-- sha256:8537c52707db31bed12751f7719a7293c995a1053e71c9667042e89ef0c33be6
            |   |-- sha256:85571a61eaa32aaa2ba3950cb6b9d44ce840a1182feb8607596222a6088d6827
            |   |-- sha256:8591f20279dd55cfce059c1045e50d3b8d23a9ba389e7ac68702de6fb40bb6e2
            |   |-- sha256:86629530f89b693fc5b729e90e3ea423ccb03f934752dc06f75e3613efed4c09
            |   |-- sha256:8700ebb800af694b813d46b7b0295aa394113b9f8fb71fed4859ccb9f2589c88
            |   |-- sha256:871aee61b15f34994f2ef162cd64ccc811a69cb2edcd77a34455b907fba1428c
            |   |-- sha256:87863e0bc107b22fe84fa704097df09d2eb2e8d874b072dde1962780a1bfe63c
            |   |-- sha256:87f04d3698d370d2bafd6e10abdef9fc8ed715bbaf25db3d94ff756bba0f0fd5
            |   |-- sha256:888a0745039af06ff8c9461554f840936bf8fb2eabab2dbc9927b8ad6b1fb583
            |   |-- sha256:88c8a7a1d9b723f7bdecbdf662fea4dc23ee7c3cea77f5b41afc74c892a38799
            |   |-- sha256:8992d0ac317219b7b5e6c7a16486dc178d3ab6ca26060ea91cfcc366db5a5ac6
            |   |-- sha256:89aa14ad3b389a2741f9ea900e191ab769de4ab1fcf4315bcd52af8bf0c65ebc
            |   |-- sha256:8ae243b3dd6e600463e179fef1b1d2909b4bbabc0d2e6c1e91d4d5c49f7e52c8
            |   |-- sha256:8c8dbad7a1991e131025aa39be1b00d18148974afc37a53686c2f40f90d23dae
            |   |-- sha256:8e3ac4cf455ab5edce6c79400281b200ea89664dbf36aafa4c8b11f4e0930651
            |   |-- sha256:8e3b2b73680cdcfbbcdceceda91686bd9b516ebd30a93e83a55dfbc5a60ea2cc
            |   |-- sha256:8e687fa5f5f9ba27652a6ece669e2bc1f7623c99eab402b6ea22908f25107df3
            |   |-- sha256:908a11b466cf89ea8654a20f6ede7b0592edd1d9b307f15c732e5addc556ab81
            |   |-- sha256:90d1101aa9155e265cb98bf8f6874c7460f1436cbb7f9c6aa2ead0434da958f5
            |   |-- sha256:913169d08f5b83d8b00978f2312efb266af8f3dcdefbfd96062d5a1f9c6a6aab
            |   |-- sha256:917fd313739c27c4ffcb5ebe26526c7464a5c2be651fe0c65ab0d770ca32b4f9
            |   |-- sha256:91d2e5dc4d295c9baaf4f072359205f315947661a32c789d4b3063ab19d0fec9
            |   |-- sha256:91fb9fe48c7d6cd376999469a4ed9770bc1b94db800e9a437e1425c9e5bfee16
            |   |-- sha256:9295eaa236790dece892b1dede00894d2ad978443fcd3c46cbc9fc171ced3fae
            |   |-- sha256:934b568f34e15efa4d1e073d45a47e7069c86b488a67539b17e837e10d7d47b7
            |   |-- sha256:93b7d3550406466da140ce16bdbe635240993eaf6bd91df0bf8eec9bf3605ab2
            |   |-- sha256:93e96aef3081faf5a79794db855bb030d62f226aeb0316caa28bd5dd044600ac
            |   |-- sha256:946f9e4da2f2cd2eed002e257f63b80615e1d52013a443600823f44e3c5c529a
            |   |-- sha256:95dafce5a21c51b1d39b9aff4234e95a53373ea072622b494a0d742d51ebf600
            |   |-- sha256:97a94da3dd3e23f037c1a956fad99f8f69073d43770bccc1dd40c89629890568
            |   |-- sha256:97b725aadcee49499366916bf3502ad6f950f808b53ffbe3f0231bb414720799
            |   |-- sha256:9831d63ecac9773e1f80530d64191d307f07f337b21c28f8abde94453f5f7975
            |   |-- sha256:987dfadf53180b049321d6b11289db7a15c8cc0e9dcc2d39cbee6e8b4b48f20a
            |   |-- sha256:9ab2a0992f9dae81ce0025c47aeacb6258fe57373eac4b0d9685d901dded5bdb
            |   |-- sha256:9ad413ece82a65bac6f087b0cac8ac10f41972565fa592266b6a9b9128d454cc
            |   |-- sha256:9afc2b19e0781d96fab30c4803c82f67e0b92303fa974b1d793732d54ae2615c
            |   |-- sha256:9b25621153f605a239345b2949d4af488077e1d05285b759500135d247defa90
            |   |-- sha256:9c224cbb7eee93d731f217517e88ed40c2515bab2c9ae3b85f3f5697a6660316
            |   |-- sha256:9d40c6e819bd87c68fedcde0fa5610684be82b0876db05282df5ca7d1dcafc56
            |   |-- sha256:9d5b8cee1bd340c276834983a595179093c607edac10336cd8aa9409adf55db2
            |   |-- sha256:9f8f12dd971f2126fb3af6abf24836b1fef4b0da98e652e58d0b6fed1c5cdde9
            |   |-- sha256:a09e02a47776b36464eccd0ff9a22b55674dc3e6e1eff21ead9b639975dc4561
            |   |-- sha256:a12eb949d27479622063194faac667af6b682a069e507df4b43a66980ae72847
            |   |-- sha256:a1ab66178814ae1667ac224a4e141ff2489aa38f0e5e7f6250e023c8709b3d48
            |   |-- sha256:a1dff52a318c6a60352d0d1c0980a9771a68cab9f6d7c61c29b2da9300cbfc35
            |   |-- sha256:a28523fbc1bff4b353063589fe3e15e07ce8c17c4bcb647a662a6c2e6cd83b4b
            |   |-- sha256:a3ac36470b00df382448e79f7a749aa6833e4ac9cc90e3391f778820db9fa407
            |   |-- sha256:a47752ce45fb30649e30c0c4796057f9d7437311f178b756acddaf1db62db31c
            |   |-- sha256:a52be4f251792c8fa265283ec3f045f931c7f386bf8bc94b3bec4a3475e0ed41
            |   |-- sha256:a5bc02d2a890b09717ba27b2ba11885bd889f8790cfd9a9f325d9c9ce3d93eb2
            |   |-- sha256:a65580ec622f50b05a57848a4be81a298bb7773f899b9bf609baec37a72ef7ee
            |   |-- sha256:a81c0a2b38633401cd3545397a6a8b44f0667beda0311645a440857b2c5d3bbf
            |   |-- sha256:a8213f15de9d83fc80e96109965c2d3e335056e2fffe093980c400874a9125b9
            |   |-- sha256:aa4157ec14434883020edddc2a6a5f1169fd1d795a1423d52e73c0c913d16061
            |   |-- sha256:aa9bbc25372941e3c626043ca8c40e8616a72073e075eff0290fa81f7d61f12e
            |   |-- sha256:abca8ffd1dda949ed83cc521d9ddcc97278a891cef2059ea43e0b3c0e079f11f
            |   |-- sha256:acdd88edf581e599ab99b6010e787d49f5f0dcde6c38a56500062b7693246b2b
            |   |-- sha256:ad400c2c1d09bf27a7bfd758673b01ccbcd67adca27b685963debc93cfe060d1
            |   |-- sha256:ae5d805557993733d772ee9a302190b78bca8d669e4945254fe1dbbd469e6aa3
            |   |-- sha256:aedb62f2a750e744188bb07dd34039c26eeb2cd9ed99782c48752cae92799d58
            |   |-- sha256:aefd0f6d178d4f50f8cdb1f022ac1ac108760fec332b28c69b53464e7379d4d4
            |   |-- sha256:b39cd9c3d70d3e76ea4725315d8409978c404bfd92d8b19190b9340becac5b7c
            |   |-- sha256:b42c812f3235c3eb194991945ccae45c01b665fc9211b1c3d0ddcf296e35dd56
            |   |-- sha256:b5741648612d63dc2d2e4b05719b71aef8acd578fa01a97a7b2b4fcfb3aa0c42
            |   |-- sha256:b581d18743c6f8b9998f5b0a0bcd9cb599d339778433733fad5dbc848c630554
            |   |-- sha256:b7840add722d2d24b7e4e84fb9034cf71a12150acad0691a9e13d1291f098ab5
            |   |-- sha256:b84135422594ef24fe4e379ac4c95bf722ac32805e925188d683ed91d647b39b
            |   |-- sha256:b9088c92948cfae75d27b33b2a24ead29171333d996bdbfcadcb3ef8d1159992
            |   |-- sha256:b9884aa2c1a66ec286237e41c93dc03cc957f0c6ec1a7f388db81b302567df1d
            |   |-- sha256:ba23e1359b9907ce7db18afadb3e1fbcfae67b66ef67c337fcafe981a78becb6
            |   |-- sha256:ba42d38960cba93ec5ac8712c558b4f4237cf77bb82abe93453922d8374647e6
            |   |-- sha256:ba5ea910ac5d4b3d650821a20ffe58988f67f8803051f398afda76b274c40f1f
            |   |-- sha256:bbbeba96f1385c70409a2595af2e734bd6b182e88d7e4ff0b4d69cd86a3f415b
            |   |-- sha256:bc05361cf9e37cbcd639581457558678c3b637aea30bc87a7e79ad8d7ec75a44
            |   |-- sha256:bd88db4161fe0a81fed1200c61fbf46e67e0250573ea10b8ca74447d64098497
            |   |-- sha256:be82f9f8ba7a3c3b7d4ec7431754b91acffc47f5f9708715886bcf0053052139
            |   |-- sha256:bfbc006c0afe8577048eb9e00f49db86042c6ee6171fe52414cfd1738aa48abf
            |   |-- sha256:c0e092a27f64663a0fbdab1a184dd3a338cae56504d29e5855a69c374403d6a4
            |   |-- sha256:c11ab2ffd576ac68d86d505a62e1cc40cea89df8a5be20b80a2847a5ca0c9e71
            |   |-- sha256:c1292bae97ade96aa5cf0ecbd5499377ce0c585d5a89b641911497cf434c0bdb
            |   |-- sha256:c15769d8dcd7b6a40474a8fb85e4d9be578a0de4c04cc15698e09099eb24465d
            |   |-- sha256:c3fe6076ba8a5cb698d8e3f4edf248cbccccfd8a16208ed8298068c0ec021f0a
            |   |-- sha256:c46521f55a64516c2f580ecf47c39d4f52f5520971614841fc459464afd24eaf
            |   |-- sha256:c4eb385bc45712c77fa634d6aa52c8edccc8c9988e9772d672112d0b7d2010a5
            |   |-- sha256:c6070da995843471ca9d08755432947f59e1450e03d48154266a2c6864f3ea5d
            |   |-- sha256:c6d635b120845faf194bd509476cbb7a2992257b225a120efebb0b7866253625
            |   |-- sha256:c70453e34b3e3c2f8227d19751b8e456c5fbf3873321e504d5614ac401ec05a1
            |   |-- sha256:c73f0aa4a80f95c0a60d4e7279ff1c3f95dd7603d2b60571f568ed3b2eb97a23
            |   |-- sha256:c8e633825687f5c8214d5e7daa0a99bbba0b61f22af99aa54cbf4f438f1bdd58
            |   |-- sha256:c9781eb7387ba95dd05624b08ecc06cb5d749a8feb4a4677fb4358e68b1fde04
            |   |-- sha256:c97ec4a35a33660d90c913ac771f836eee5fe93765557d8f835c1c4bce7ceb94
            |   |-- sha256:caea2470135d5750ceb7a9d3d59d5d23d804267d59ae7c0dc7f535be7cf1d2b6
            |   |-- sha256:cb2848113229ecb4c611054ffec03cc051d2597ab499bb137fc79d6c174dd9a1
            |   |-- sha256:cc85ac9db2ff7110cbd6a6df39620120b7083ca6451d5d2ec4f5ba19715a4c5e
            |   |-- sha256:cce054d8edc9ee1c549c45343cb4839eeaa74eff93c7fb1a963cb723cb318f28
            |   |-- sha256:cce97740ed00b8c0a3245a5cc17acfc987a2fb73e81b0740db796af1e385ffeb
            |   |-- sha256:cd186d985bb25f73a7b631d226c609758631d685bbb1a7f2fac9559c0ea6b257
            |   |-- sha256:cdfcdb9cf607106a52e81901496c2d195862a840f6b5045947c19032f28f09ef
            |   |-- sha256:cebd4379339b531ea5bad62f8bbc60c4b3d957f45ad650d3c704cf6f8cd3e8e7
            |   |-- sha256:cf5693de4d3cdd6f352978b87c8f89ead294eff44938598f57a91cf7a02417d2
            |   |-- sha256:d1584ce36dd1f495edd5e0935186d51359d36f9c4f24815d9ff7444906b99f9f
            |   |-- sha256:d1758102e843aafe2730e60c5eb78321ca07cee6deb3b77e84bdb0b61d0fcbc8
            |   |-- sha256:d20c93915bef8fb53a3a8b4d4580c54d78e07271f89302c1cd7269b8e7cca4db
            |   |-- sha256:d2e4431bdc36833f0d99ef6c71eda85d94c89bbfa64d196b627f7aeeda0b9831
            |   |-- sha256:d4647a7b512bfeddfd892bf0c7855d4b7506fae384ff3363ee7a651eb72043cd
            |   |-- sha256:d50f736b1f2ba878a77fc028ff7c45834ae22c855c63abc09b6d1e2d2b05666d
            |   |-- sha256:d545bf1602e33ff51f8c44fcbcc6fc858880d35c3d01ecc0b6e7e98576390bea
            |   |-- sha256:d7cbe388bc42fadd6025dc7c66ab06187560b516ba659becb589b823c16923ce
            |   |-- sha256:d7e5fa3a7066dae5ca74aecb0014548a858cc436b7b1d794b2e7960a9580bbb9
            |   |-- sha256:dd5197a9bf9036d326150cf2ea31b11f96e15f23d1f433d2d58962a2a1ba78fc
            |   |-- sha256:de9c3f0601d65e07f1511cc16cb18d33eae399764ebc6aff54650eefad67d217
            |   |-- sha256:de9fa35dda2aba98e3a5d111de977abf8e57e469c3c021e90b8fb21522dce957
            |   |-- sha256:dfacd060eb8cbe99063c1378b6d4dad517324923a053c494daf19c14e7344a0f
            |   |-- sha256:dfd6b3b4a69a07b331fb832e46bbfdd6096041de1cf70460c3f938128178f247
            |   |-- sha256:e103cee587077ce923ea5b2944b0a07a133420bfbf243cc1d205cff10f8f2039
            |   |-- sha256:e1d813d608c25b38355697949da40ea44a22f8a12b8c82f3873b75ec3d95d5fa
            |   |-- sha256:e21fc414eeae6224aff16fd754ff7035be745134e55bbfa6456f04a11ebb38d5
            |   |-- sha256:e29d74a737eb740d0fcf36d1dedfaf5a21d5217b477cafc65d759a4ee1ae1827
            |   |-- sha256:e322ba04f930594de9fafe1949d432aaecb18df2f97c8ab65e9c4d792e38b6d5
            |   |-- sha256:e46b42a5208c6bdb0ee5ab65a25a9efe33d708cb66237f23b395b3e186fca7e6
            |   |-- sha256:e4b523d10f6b5d025335a38a2de920e4ad621d5d138015d0cfa282ba09552b54
            |   |-- sha256:e4cea1606b5bbf4dcff93c74fa39c8c9f9bcd92c1a6773ed8585ed9f00ec6808
            |   |-- sha256:e721cdf2cb5fa6caa769ff1da76393286eceb868a7fb6d19b6d887fbf299b3dc
            |   |-- sha256:e7b8b2202b23253c145197e6bc712bcd85f24f7ebc2bafd20bd364154a794adc
            |   |-- sha256:e81534a5b97b92567e50392197277eee10c615ba0c7eb00bd96fcea5dbf9040c
            |   |-- sha256:ea5b6022df39bc0f1d723628feffa16f7443f4d5a40625d6736d3eefdfd05d1d
            |   |-- sha256:ec0effa8ca033a7d28f7598e3f2074c53cd372385ba177591a9745e848a631f6
            |   |-- sha256:eca2b3b096222d1e9a1f6f6211827bafa30b45e9bc0de7617dc793ba3ee32794
            |   |-- sha256:ecb569cd56158627a6da5677a3ef673b490689cf4aea2dea92206e21b6418ab9
            |   |-- sha256:ed12093e0004775037245fd0f89035989e3d2774a92ba643485b8439e05b7079
            |   |-- sha256:ee2f8de7803b6b37bc5a608be9c6a2c8dc7da2fba6486c83a382c14100726d75
            |   |-- sha256:f095a66c022be18a4b1ef87267c528cb9dd87a9c5ab00dcc9b7e8b4a250f1cc6
            |   |-- sha256:f104293c9cecb2bc74efeb472a4d5bcde519af6b3673f7c0babd69b356e9f663
            |   |-- sha256:f21ee6825e68c709179b1e93960487a630f7403dc9e7f4b496b5c2085e0634b6
            |   |-- sha256:f2fc77b1e1754b5bf14a40e48c53104000257314a912e42c6a0c6b7be10d40a4
            |   |-- sha256:f3352bc2207e636c3e2c4c62324d5a6004758736596931d847445790d2f1a454
            |   |-- sha256:f393f8c9bdd8eb9ba4d1ddeb5935829d0790dc8dfdab211021beb56a3938ea99
            |   |-- sha256:f48e4f6bf1045980255e48975146216e952e4c39f856e088c28051b420c6c4e6
            |   |-- sha256:f55a74db23851e1dfd010fa36a1e72147a0d6c1a8760718903032a8cc26f6c17
            |   |-- sha256:f79576e8188b543d4b05238bfbfa9da08989803cac88fc3e92ef66a6b66a5e9b
            |   |-- sha256:f992d1e3dbdee6fd3d4f96f8c1a94bf403a06c9665efac73fe3c814229007bfe
            |   |-- sha256:f9d5c1daf897f83582d36ce1d5e9b04cb2534da88bee8008e8be460a306ac13f
            |   |-- sha256:fa9b961da3d4eddb1b6d700da2a15045a1f8e454714298d33382b60108baf80e
            |   |-- sha256:fb6788d4615cf916aac1b39acf9b11cd6679b136d71027a8a3e7f568b9130566
            |   |-- sha256:fc9eef5fc3da711c46aa605a16b090f098d5f4af34212737fa3dfcc483174c3a
            |   |-- sha256:fdcb9396ef2a78a4b3836245e387ea8568d3bcb54458612cf240498022fe32ca
            |   |-- sha256:feafbee1c254b25bc00f961c7ae4107ec80516b668826e0a8bd24046c880ccff
            |   `-- sha256:ff45fdaaf143af841f2f84f85f4c5b0e0b03795e5a7b09a3576bdb982dd332df
            `-- manifests
                |-- 4.5.0-0.nightly-2020-05-17-220731 -> sha256:10b76810f8c58bbc7a0a6fdbb4e7b0b1aa8f4937d2451afe5b68234657d9320b
                |-- 4.5.0-0.nightly-2020-05-17-220731-aws-machine-controllers -> sha256:3df196225525cfad173c3e1a6a2206fb5a2efe21d5e549b08765d4fd5766e2c2
                |-- 4.5.0-0.nightly-2020-05-17-220731-aws-pod-identity-webhook -> sha256:245b3c6a097ab3d7471fe218de6439154f75bb068e95c687ea76edd99b4440e9
                |-- 4.5.0-0.nightly-2020-05-17-220731-azure-machine-controllers -> sha256:30e04a1f05b8263d5dca1cc3f207808065bc4b9c2bec74c4f6af681e0d9d8ea6
                |-- 4.5.0-0.nightly-2020-05-17-220731-baremetal-installer -> sha256:d1758102e843aafe2730e60c5eb78321ca07cee6deb3b77e84bdb0b61d0fcbc8
                |-- 4.5.0-0.nightly-2020-05-17-220731-baremetal-machine-controllers -> sha256:0ee26f6643001112ec8c1404b4995091cf0a977e6a3ae952d079805b2917fcbd
                |-- 4.5.0-0.nightly-2020-05-17-220731-baremetal-operator -> sha256:0f52369bc847a9e39e5c25489efa3e6f2a82cd8ab75a21d18edf5d6bfbe150fe
                |-- 4.5.0-0.nightly-2020-05-17-220731-baremetal-runtimecfg -> sha256:823c36590e8029679f03800006fab52c06be42dc2dacdf57533f174ee2a2df14
                |-- 4.5.0-0.nightly-2020-05-17-220731-cli -> sha256:7bb4d6b49a2b9c735de096fca3463bd5baf32eb5017bbfc1eeb653902c10c75b
                |-- 4.5.0-0.nightly-2020-05-17-220731-cli-artifacts -> sha256:4f05fb11b162e7d0ddd427e336bf35615b90f58b5f6a74797bb1d265e82dc13c
                |-- 4.5.0-0.nightly-2020-05-17-220731-cloud-credential-operator -> sha256:c73f0aa4a80f95c0a60d4e7279ff1c3f95dd7603d2b60571f568ed3b2eb97a23
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-authentication-operator -> sha256:fc9eef5fc3da711c46aa605a16b090f098d5f4af34212737fa3dfcc483174c3a
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-autoscaler -> sha256:074a85c80be7b2ef3ffa06924f413faa0fd7d869770b30f0329cf110acfd9a36
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-autoscaler-operator -> sha256:aefd0f6d178d4f50f8cdb1f022ac1ac108760fec332b28c69b53464e7379d4d4
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-bootstrap -> sha256:394653c98357b985e087ba0ec185214709c66c5611bde8cc0d3a44a6245e9aa7
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-config-operator -> sha256:4859352107b2c9ff39932882e7650880590e5de33b622197773dbcb37c2cf41f
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-csi-snapshot-controller-operator -> sha256:6f528143ebb74aaf4f7f5d26e2ad3b53a411bfec903bd3ef946579e0fc2a9a66
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-dns-operator -> sha256:f55a74db23851e1dfd010fa36a1e72147a0d6c1a8760718903032a8cc26f6c17
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-etcd-operator -> sha256:b7840add722d2d24b7e4e84fb9034cf71a12150acad0691a9e13d1291f098ab5
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-image-registry-operator -> sha256:1837c12cd92594b815fc545257f90a5b6b0c52909883367601e2562ca50ade79
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-ingress-operator -> sha256:8700ebb800af694b813d46b7b0295aa394113b9f8fb71fed4859ccb9f2589c88
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-kube-apiserver-operator -> sha256:07d050c001c55e4f2490e11230f5479f71a8ed0721162a60c1a2b3b5257e27d7
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-kube-controller-manager-operator -> sha256:abca8ffd1dda949ed83cc521d9ddcc97278a891cef2059ea43e0b3c0e079f11f
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-kube-scheduler-operator -> sha256:90d1101aa9155e265cb98bf8f6874c7460f1436cbb7f9c6aa2ead0434da958f5
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-kube-storage-version-migrator-operator -> sha256:1ad1a36361c62b6062ee009f6a6e605cd3f7f07dd6b9113821264d7c1149a82e
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-machine-approver -> sha256:b581d18743c6f8b9998f5b0a0bcd9cb599d339778433733fad5dbc848c630554
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-monitoring-operator -> sha256:767acfb8f8e0251b34cfce33b7a200b76edd8f042f1ea724572cdf43a63f68ea
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-network-operator -> sha256:c6070da995843471ca9d08755432947f59e1450e03d48154266a2c6864f3ea5d
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-node-tuned -> sha256:011e900a4808f25e7d04d00238260e89fa4f5508f9f866f42cfed0048aeccb87
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-node-tuning-operator -> sha256:acdd88edf581e599ab99b6010e787d49f5f0dcde6c38a56500062b7693246b2b
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-openshift-apiserver-operator -> sha256:d545bf1602e33ff51f8c44fcbcc6fc858880d35c3d01ecc0b6e7e98576390bea
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-openshift-controller-manager-operator -> sha256:4a4151315a7b37d5e05c3388cbb3a9519ddf6596f362bc789d8821266a6a6652
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-policy-controller -> sha256:1dd9852dd03caec9dd69f455d41f8743ebff4f27dedfda61b1ae94ef2539f5a6
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-samples-operator -> sha256:2fa0d9535b588a396674dacf6d53a1b03eb9892e156b3cbe290ab3f16e06504a
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-storage-operator -> sha256:f393f8c9bdd8eb9ba4d1ddeb5935829d0790dc8dfdab211021beb56a3938ea99
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-svcat-apiserver-operator -> sha256:ba42d38960cba93ec5ac8712c558b4f4237cf77bb82abe93453922d8374647e6
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-svcat-controller-manager-operator -> sha256:096476b1373bd145fbd176d94f9f516fb1c4c5971ff3c8ec97b2b04b5f6964a5
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-update-keys -> sha256:6a13176442178439148695caa1e77fa222a4238cb71c255cf8d84a7022a64f60
                |-- 4.5.0-0.nightly-2020-05-17-220731-cluster-version-operator -> sha256:206d0f0707c2eadc598b0067ed4657674a6fc2919763c6bb90058ba9fa7e07a1
                |-- 4.5.0-0.nightly-2020-05-17-220731-configmap-reloader -> sha256:06e360027eff3d0a7aeaf8eb48a7078fa4018d2f5cfec728a392612202c0e9fd
                |-- 4.5.0-0.nightly-2020-05-17-220731-console -> sha256:55b4b35427b261197fbc1e7bd876c82244d39e74d96da273e1d7ac2c2e4b11b8
                |-- 4.5.0-0.nightly-2020-05-17-220731-console-operator -> sha256:ff45fdaaf143af841f2f84f85f4c5b0e0b03795e5a7b09a3576bdb982dd332df
                |-- 4.5.0-0.nightly-2020-05-17-220731-container-networking-plugins -> sha256:7f35bb3a1794309d0861173757ae8de64c62befcc654afbf84bf3c57f772317a
                |-- 4.5.0-0.nightly-2020-05-17-220731-coredns -> sha256:0246d160d94d8a2d49610038b15b1cf538364fb0a733ea06092a55685ab7bac1
                |-- 4.5.0-0.nightly-2020-05-17-220731-csi-snapshot-controller -> sha256:5a5e52c643c2b2fbb49d18e135c0ec05083133a278c476e322a91b3091f86a70
                |-- 4.5.0-0.nightly-2020-05-17-220731-deployer -> sha256:84f6bc5b96789c44a1397ed58a4e1bb366b1c350e548381958f59e6c2d9db1ab
                |-- 4.5.0-0.nightly-2020-05-17-220731-docker-builder -> sha256:8e3ac4cf455ab5edce6c79400281b200ea89664dbf36aafa4c8b11f4e0930651
                |-- 4.5.0-0.nightly-2020-05-17-220731-docker-registry -> sha256:078c99ce764934b88fe59ed6b6f7adf87565da7995a55482e392d6bcc5292d3f
                |-- 4.5.0-0.nightly-2020-05-17-220731-etcd -> sha256:6d8e9abd2142f83c9ef86323ba1dfbf8a7537098a97e01b1ebd5119505d53456
                |-- 4.5.0-0.nightly-2020-05-17-220731-gcp-machine-controllers -> sha256:5d2ed9a1637e2074c82ef691d4e9e36077d03094c30109772c66fc3a12949783
                |-- 4.5.0-0.nightly-2020-05-17-220731-grafana -> sha256:283a11b2486acf6b9e4d1e5c7a7b4134e9480b9cdc7441085df51ce782faddcd
                |-- 4.5.0-0.nightly-2020-05-17-220731-haproxy-router -> sha256:4b3897dee70d16f8b3b3b7935c9523d5683697950238b1872e3d5c3744afe001
                |-- 4.5.0-0.nightly-2020-05-17-220731-hyperkube -> sha256:d7e5fa3a7066dae5ca74aecb0014548a858cc436b7b1d794b2e7960a9580bbb9
                |-- 4.5.0-0.nightly-2020-05-17-220731-insights-operator -> sha256:1b783ed2a644f6e6c314cc81e0ac7ed5d4af9c7056bed7fab222def7d9a3f4cd
                |-- 4.5.0-0.nightly-2020-05-17-220731-installer -> sha256:c6d635b120845faf194bd509476cbb7a2992257b225a120efebb0b7866253625
                |-- 4.5.0-0.nightly-2020-05-17-220731-installer-artifacts -> sha256:036bcd6108adf49744eee0dd51771e082a7f93b6db2fca27b65d26db0e74d39f
                |-- 4.5.0-0.nightly-2020-05-17-220731-ironic -> sha256:4a803faab3060d1cd19c2391acdb01cbc75dd6dd5a7786dfcb957c0d83587211
                |-- 4.5.0-0.nightly-2020-05-17-220731-ironic-hardware-inventory-recorder -> sha256:33382d9f94c0b87602088682a34529924bb1c00cf0450a9ead3ab984e3a92891
                |-- 4.5.0-0.nightly-2020-05-17-220731-ironic-inspector -> sha256:08b33c5a6608a36b8e3126da7d175f3df189d113c01fb0048d3ea282ba4baaf3
                |-- 4.5.0-0.nightly-2020-05-17-220731-ironic-ipa-downloader -> sha256:c0e092a27f64663a0fbdab1a184dd3a338cae56504d29e5855a69c374403d6a4
                |-- 4.5.0-0.nightly-2020-05-17-220731-ironic-machine-os-downloader -> sha256:a47752ce45fb30649e30c0c4796057f9d7437311f178b756acddaf1db62db31c
                |-- 4.5.0-0.nightly-2020-05-17-220731-ironic-static-ip-manager -> sha256:0fecbb07646f047c42be073d29764ccc73648d202ee6b2293562f6bb3260ae48
                |-- 4.5.0-0.nightly-2020-05-17-220731-jenkins -> sha256:03a44c89ba5dbf3a68a068b7a4e21978861c3a85b0cd4cd6b75baeb38bdfaeb9
                |-- 4.5.0-0.nightly-2020-05-17-220731-jenkins-agent-maven -> sha256:caea2470135d5750ceb7a9d3d59d5d23d804267d59ae7c0dc7f535be7cf1d2b6
                |-- 4.5.0-0.nightly-2020-05-17-220731-jenkins-agent-nodejs -> sha256:de9fa35dda2aba98e3a5d111de977abf8e57e469c3c021e90b8fb21522dce957
                |-- 4.5.0-0.nightly-2020-05-17-220731-k8s-prometheus-adapter -> sha256:a52be4f251792c8fa265283ec3f045f931c7f386bf8bc94b3bec4a3475e0ed41
                |-- 4.5.0-0.nightly-2020-05-17-220731-keepalived-ipfailover -> sha256:0e39f28287ba4d17c17734456b2cede5425d2b67476058fa24ab5f56c9b02b9e
                |-- 4.5.0-0.nightly-2020-05-17-220731-kube-client-agent -> sha256:49eadc3c77c3864a827c0066cd27f85fc5bcf0d203aed591a6560b11a056da74
                |-- 4.5.0-0.nightly-2020-05-17-220731-kube-etcd-signer-server -> sha256:5b42d700d2cb4be19d83f4762839534bfabe25ea2d34ee0696efb26ded3a99ff
                |-- 4.5.0-0.nightly-2020-05-17-220731-kube-proxy -> sha256:1b2d7f44320367d907454c794ef2702bc80193ceda5660f86ce1fae3c41438c9
                |-- 4.5.0-0.nightly-2020-05-17-220731-kube-rbac-proxy -> sha256:cd186d985bb25f73a7b631d226c609758631d685bbb1a7f2fac9559c0ea6b257
                |-- 4.5.0-0.nightly-2020-05-17-220731-kube-state-metrics -> sha256:04dbd3803b1ad5f2a939ba12bd9306687bd3b918f61fb0e7a98bad55e13abe53
                |-- 4.5.0-0.nightly-2020-05-17-220731-kube-storage-version-migrator -> sha256:ea5b6022df39bc0f1d723628feffa16f7443f4d5a40625d6736d3eefdfd05d1d
                |-- 4.5.0-0.nightly-2020-05-17-220731-kuryr-cni -> sha256:36034ae69f464b9409df9009534cfbfead3c1db6bb59cd0bf5e2c475db84692b
                |-- 4.5.0-0.nightly-2020-05-17-220731-kuryr-controller -> sha256:be82f9f8ba7a3c3b7d4ec7431754b91acffc47f5f9708715886bcf0053052139
                |-- 4.5.0-0.nightly-2020-05-17-220731-libvirt-machine-controllers -> sha256:95dafce5a21c51b1d39b9aff4234e95a53373ea072622b494a0d742d51ebf600
                |-- 4.5.0-0.nightly-2020-05-17-220731-local-storage-static-provisioner -> sha256:2d0888a5365f0bdac384e386641ec0584a5fcedb04e00a7c65440218465fb030
                |-- 4.5.0-0.nightly-2020-05-17-220731-machine-api-operator -> sha256:11d0679450708b3f864b4e6d84c78150dc79555a24e96eed6d2d75309b1fd68d
                |-- 4.5.0-0.nightly-2020-05-17-220731-machine-config-operator -> sha256:cce97740ed00b8c0a3245a5cc17acfc987a2fb73e81b0740db796af1e385ffeb
                |-- 4.5.0-0.nightly-2020-05-17-220731-machine-os-content -> sha256:3073bac8f3cfe72322269ac53865767c9a46b743cb19605c53f01cfed394b4d0
                |-- 4.5.0-0.nightly-2020-05-17-220731-mdns-publisher -> sha256:93e96aef3081faf5a79794db855bb030d62f226aeb0316caa28bd5dd044600ac
                |-- 4.5.0-0.nightly-2020-05-17-220731-multus-admission-controller -> sha256:4aec69bde3e035aaa572da8913df28a3cb54057b99ab6aae1361305a83406cde
                |-- 4.5.0-0.nightly-2020-05-17-220731-multus-cni -> sha256:1ebb42e9705d1c9c7430accb4bec8ac228ac91e6cc1c99cdac8c0c80fbdcf5d2
                |-- 4.5.0-0.nightly-2020-05-17-220731-multus-route-override-cni -> sha256:87f04d3698d370d2bafd6e10abdef9fc8ed715bbaf25db3d94ff756bba0f0fd5
                |-- 4.5.0-0.nightly-2020-05-17-220731-multus-whereabouts-ipam-cni -> sha256:e4b523d10f6b5d025335a38a2de920e4ad621d5d138015d0cfa282ba09552b54
                |-- 4.5.0-0.nightly-2020-05-17-220731-must-gather -> sha256:186947c582e889212cede2ad59456240fdf92c50caee6e050042f37e2dcbf439
                |-- 4.5.0-0.nightly-2020-05-17-220731-oauth-proxy -> sha256:62a0d24397ac2eb7540c8e430667f1ece5060438fa9445466ba7d9a62001b2ea
                |-- 4.5.0-0.nightly-2020-05-17-220731-oauth-server -> sha256:80479540905976daee69968373c7631974ed13cee5c9198b67dd9c156d3d0c6c
                |-- 4.5.0-0.nightly-2020-05-17-220731-openshift-apiserver -> sha256:74471c1124d286040ee2c06a5ad9010c5b6d249be46fa743df1a6499783988c0
                |-- 4.5.0-0.nightly-2020-05-17-220731-openshift-controller-manager -> sha256:0c6a514ed793d4b3c4b3ea3a70c3bf9faa1b1fd15bf4507386e24dd08ab207a4
                |-- 4.5.0-0.nightly-2020-05-17-220731-openshift-state-metrics -> sha256:160eaa31f2196026dda3a15ac66f8a938c47ce150ff1023d34d07993b3108d71
                |-- 4.5.0-0.nightly-2020-05-17-220731-openstack-machine-controllers -> sha256:9295eaa236790dece892b1dede00894d2ad978443fcd3c46cbc9fc171ced3fae
                |-- 4.5.0-0.nightly-2020-05-17-220731-operator-lifecycle-manager -> sha256:60cfd68ad12298c6bcd3bec6c51e49baf134cdcd7867044483709dc9b46d2ad9
                |-- 4.5.0-0.nightly-2020-05-17-220731-operator-marketplace -> sha256:f992d1e3dbdee6fd3d4f96f8c1a94bf403a06c9665efac73fe3c814229007bfe
                |-- 4.5.0-0.nightly-2020-05-17-220731-operator-registry -> sha256:5e7212fddb839e383f8e102bb9a8d834608c01dae038790ac510f31c05c40641
                |-- 4.5.0-0.nightly-2020-05-17-220731-ovirt-machine-controllers -> sha256:273226b80e26c62a5dd6514466be8c6ff14e6cfce810f1cc0227d0120ce629a3
                |-- 4.5.0-0.nightly-2020-05-17-220731-ovn-kubernetes -> sha256:080a5c42e2c51da3c0405f69bae2d7ff8fa2335155962cbb6558ba8883c1e65d
                |-- 4.5.0-0.nightly-2020-05-17-220731-pod -> sha256:2e298a789160492e9f0d799549abee201b64a56922e554d81d5ad8eeb6ac5e4d
                |-- 4.5.0-0.nightly-2020-05-17-220731-prometheus -> sha256:c15769d8dcd7b6a40474a8fb85e4d9be578a0de4c04cc15698e09099eb24465d
                |-- 4.5.0-0.nightly-2020-05-17-220731-prometheus-alertmanager -> sha256:934b568f34e15efa4d1e073d45a47e7069c86b488a67539b17e837e10d7d47b7
                |-- 4.5.0-0.nightly-2020-05-17-220731-prometheus-config-reloader -> sha256:5522e88ee6729f7cf5d2af01041d6a87a27e5eb16aeed808e86c9afa5e11cb80
                |-- 4.5.0-0.nightly-2020-05-17-220731-prometheus-node-exporter -> sha256:463a672d922e79a0cb3ba82b68bd61a6fa32a4917147ec7e8d5b7ad1787318ca
                |-- 4.5.0-0.nightly-2020-05-17-220731-prometheus-operator -> sha256:f48e4f6bf1045980255e48975146216e952e4c39f856e088c28051b420c6c4e6
                |-- 4.5.0-0.nightly-2020-05-17-220731-prom-label-proxy -> sha256:31c8b807699afd71da52777f2f4798122efc775b85aad198a25cca795195b4c1
                |-- 4.5.0-0.nightly-2020-05-17-220731-sdn -> sha256:1976bbc23711b8abe9a1afc4cb9875a5ba323b6fe487287f1d97fe43ab7bbb63
                |-- 4.5.0-0.nightly-2020-05-17-220731-service-ca-operator -> sha256:080d3e33c727c8ce1001ccaaa0f8725b9936b3b243640d51c4edd474bf545335
                |-- 4.5.0-0.nightly-2020-05-17-220731-telemeter -> sha256:762637c000a7fef279dc3caf11d39c8c4eb6ee08c0957a11edbfdc75091f8a94
                |-- 4.5.0-0.nightly-2020-05-17-220731-tests -> sha256:f79576e8188b543d4b05238bfbfa9da08989803cac88fc3e92ef66a6b66a5e9b
                |-- 4.5.0-0.nightly-2020-05-17-220731-thanos -> sha256:62725f4dc36665d22332ca3b1ebf84fa2768f06d4f82c0d39f9644a0ad086528
                |-- 4.5.0-0.nightly-2020-05-17-220731-tools -> sha256:a81c0a2b38633401cd3545397a6a8b44f0667beda0311645a440857b2c5d3bbf
                |-- sha256:011e900a4808f25e7d04d00238260e89fa4f5508f9f866f42cfed0048aeccb87
                |-- sha256:0246d160d94d8a2d49610038b15b1cf538364fb0a733ea06092a55685ab7bac1
                |-- sha256:036bcd6108adf49744eee0dd51771e082a7f93b6db2fca27b65d26db0e74d39f
                |-- sha256:03a44c89ba5dbf3a68a068b7a4e21978861c3a85b0cd4cd6b75baeb38bdfaeb9
                |-- sha256:04dbd3803b1ad5f2a939ba12bd9306687bd3b918f61fb0e7a98bad55e13abe53
                |-- sha256:06e360027eff3d0a7aeaf8eb48a7078fa4018d2f5cfec728a392612202c0e9fd
                |-- sha256:074a85c80be7b2ef3ffa06924f413faa0fd7d869770b30f0329cf110acfd9a36
                |-- sha256:078c99ce764934b88fe59ed6b6f7adf87565da7995a55482e392d6bcc5292d3f
                |-- sha256:07d050c001c55e4f2490e11230f5479f71a8ed0721162a60c1a2b3b5257e27d7
                |-- sha256:080a5c42e2c51da3c0405f69bae2d7ff8fa2335155962cbb6558ba8883c1e65d
                |-- sha256:080d3e33c727c8ce1001ccaaa0f8725b9936b3b243640d51c4edd474bf545335
                |-- sha256:08b33c5a6608a36b8e3126da7d175f3df189d113c01fb0048d3ea282ba4baaf3
                |-- sha256:096476b1373bd145fbd176d94f9f516fb1c4c5971ff3c8ec97b2b04b5f6964a5
                |-- sha256:0c6a514ed793d4b3c4b3ea3a70c3bf9faa1b1fd15bf4507386e24dd08ab207a4
                |-- sha256:0e39f28287ba4d17c17734456b2cede5425d2b67476058fa24ab5f56c9b02b9e
                |-- sha256:0ee26f6643001112ec8c1404b4995091cf0a977e6a3ae952d079805b2917fcbd
                |-- sha256:0f52369bc847a9e39e5c25489efa3e6f2a82cd8ab75a21d18edf5d6bfbe150fe
                |-- sha256:0fecbb07646f047c42be073d29764ccc73648d202ee6b2293562f6bb3260ae48
                |-- sha256:10b76810f8c58bbc7a0a6fdbb4e7b0b1aa8f4937d2451afe5b68234657d9320b
                |-- sha256:11d0679450708b3f864b4e6d84c78150dc79555a24e96eed6d2d75309b1fd68d
                |-- sha256:160eaa31f2196026dda3a15ac66f8a938c47ce150ff1023d34d07993b3108d71
                |-- sha256:1837c12cd92594b815fc545257f90a5b6b0c52909883367601e2562ca50ade79
                |-- sha256:186947c582e889212cede2ad59456240fdf92c50caee6e050042f37e2dcbf439
                |-- sha256:1976bbc23711b8abe9a1afc4cb9875a5ba323b6fe487287f1d97fe43ab7bbb63
                |-- sha256:1ad1a36361c62b6062ee009f6a6e605cd3f7f07dd6b9113821264d7c1149a82e
                |-- sha256:1b2d7f44320367d907454c794ef2702bc80193ceda5660f86ce1fae3c41438c9
                |-- sha256:1b783ed2a644f6e6c314cc81e0ac7ed5d4af9c7056bed7fab222def7d9a3f4cd
                |-- sha256:1dd9852dd03caec9dd69f455d41f8743ebff4f27dedfda61b1ae94ef2539f5a6
                |-- sha256:1ebb42e9705d1c9c7430accb4bec8ac228ac91e6cc1c99cdac8c0c80fbdcf5d2
                |-- sha256:206d0f0707c2eadc598b0067ed4657674a6fc2919763c6bb90058ba9fa7e07a1
                |-- sha256:245b3c6a097ab3d7471fe218de6439154f75bb068e95c687ea76edd99b4440e9
                |-- sha256:273226b80e26c62a5dd6514466be8c6ff14e6cfce810f1cc0227d0120ce629a3
                |-- sha256:283a11b2486acf6b9e4d1e5c7a7b4134e9480b9cdc7441085df51ce782faddcd
                |-- sha256:2d0888a5365f0bdac384e386641ec0584a5fcedb04e00a7c65440218465fb030
                |-- sha256:2e298a789160492e9f0d799549abee201b64a56922e554d81d5ad8eeb6ac5e4d
                |-- sha256:2fa0d9535b588a396674dacf6d53a1b03eb9892e156b3cbe290ab3f16e06504a
                |-- sha256:3073bac8f3cfe72322269ac53865767c9a46b743cb19605c53f01cfed394b4d0
                |-- sha256:30e04a1f05b8263d5dca1cc3f207808065bc4b9c2bec74c4f6af681e0d9d8ea6
                |-- sha256:31c8b807699afd71da52777f2f4798122efc775b85aad198a25cca795195b4c1
                |-- sha256:33382d9f94c0b87602088682a34529924bb1c00cf0450a9ead3ab984e3a92891
                |-- sha256:36034ae69f464b9409df9009534cfbfead3c1db6bb59cd0bf5e2c475db84692b
                |-- sha256:394653c98357b985e087ba0ec185214709c66c5611bde8cc0d3a44a6245e9aa7
                |-- sha256:3df196225525cfad173c3e1a6a2206fb5a2efe21d5e549b08765d4fd5766e2c2
                |-- sha256:463a672d922e79a0cb3ba82b68bd61a6fa32a4917147ec7e8d5b7ad1787318ca
                |-- sha256:4859352107b2c9ff39932882e7650880590e5de33b622197773dbcb37c2cf41f
                |-- sha256:49eadc3c77c3864a827c0066cd27f85fc5bcf0d203aed591a6560b11a056da74
                |-- sha256:4a4151315a7b37d5e05c3388cbb3a9519ddf6596f362bc789d8821266a6a6652
                |-- sha256:4a803faab3060d1cd19c2391acdb01cbc75dd6dd5a7786dfcb957c0d83587211
                |-- sha256:4aec69bde3e035aaa572da8913df28a3cb54057b99ab6aae1361305a83406cde
                |-- sha256:4b3897dee70d16f8b3b3b7935c9523d5683697950238b1872e3d5c3744afe001
                |-- sha256:4f05fb11b162e7d0ddd427e336bf35615b90f58b5f6a74797bb1d265e82dc13c
                |-- sha256:5522e88ee6729f7cf5d2af01041d6a87a27e5eb16aeed808e86c9afa5e11cb80
                |-- sha256:55b4b35427b261197fbc1e7bd876c82244d39e74d96da273e1d7ac2c2e4b11b8
                |-- sha256:5a5e52c643c2b2fbb49d18e135c0ec05083133a278c476e322a91b3091f86a70
                |-- sha256:5b42d700d2cb4be19d83f4762839534bfabe25ea2d34ee0696efb26ded3a99ff
                |-- sha256:5d2ed9a1637e2074c82ef691d4e9e36077d03094c30109772c66fc3a12949783
                |-- sha256:5e7212fddb839e383f8e102bb9a8d834608c01dae038790ac510f31c05c40641
                |-- sha256:60cfd68ad12298c6bcd3bec6c51e49baf134cdcd7867044483709dc9b46d2ad9
                |-- sha256:62725f4dc36665d22332ca3b1ebf84fa2768f06d4f82c0d39f9644a0ad086528
                |-- sha256:62a0d24397ac2eb7540c8e430667f1ece5060438fa9445466ba7d9a62001b2ea
                |-- sha256:6a13176442178439148695caa1e77fa222a4238cb71c255cf8d84a7022a64f60
                |-- sha256:6d8e9abd2142f83c9ef86323ba1dfbf8a7537098a97e01b1ebd5119505d53456
                |-- sha256:6f528143ebb74aaf4f7f5d26e2ad3b53a411bfec903bd3ef946579e0fc2a9a66
                |-- sha256:74471c1124d286040ee2c06a5ad9010c5b6d249be46fa743df1a6499783988c0
                |-- sha256:762637c000a7fef279dc3caf11d39c8c4eb6ee08c0957a11edbfdc75091f8a94
                |-- sha256:767acfb8f8e0251b34cfce33b7a200b76edd8f042f1ea724572cdf43a63f68ea
                |-- sha256:7bb4d6b49a2b9c735de096fca3463bd5baf32eb5017bbfc1eeb653902c10c75b
                |-- sha256:7f35bb3a1794309d0861173757ae8de64c62befcc654afbf84bf3c57f772317a
                |-- sha256:80479540905976daee69968373c7631974ed13cee5c9198b67dd9c156d3d0c6c
                |-- sha256:823c36590e8029679f03800006fab52c06be42dc2dacdf57533f174ee2a2df14
                |-- sha256:84f6bc5b96789c44a1397ed58a4e1bb366b1c350e548381958f59e6c2d9db1ab
                |-- sha256:8700ebb800af694b813d46b7b0295aa394113b9f8fb71fed4859ccb9f2589c88
                |-- sha256:87f04d3698d370d2bafd6e10abdef9fc8ed715bbaf25db3d94ff756bba0f0fd5
                |-- sha256:8e3ac4cf455ab5edce6c79400281b200ea89664dbf36aafa4c8b11f4e0930651
                |-- sha256:90d1101aa9155e265cb98bf8f6874c7460f1436cbb7f9c6aa2ead0434da958f5
                |-- sha256:9295eaa236790dece892b1dede00894d2ad978443fcd3c46cbc9fc171ced3fae
                |-- sha256:934b568f34e15efa4d1e073d45a47e7069c86b488a67539b17e837e10d7d47b7
                |-- sha256:93e96aef3081faf5a79794db855bb030d62f226aeb0316caa28bd5dd044600ac
                |-- sha256:95dafce5a21c51b1d39b9aff4234e95a53373ea072622b494a0d742d51ebf600
                |-- sha256:a47752ce45fb30649e30c0c4796057f9d7437311f178b756acddaf1db62db31c
                |-- sha256:a52be4f251792c8fa265283ec3f045f931c7f386bf8bc94b3bec4a3475e0ed41
                |-- sha256:a81c0a2b38633401cd3545397a6a8b44f0667beda0311645a440857b2c5d3bbf
                |-- sha256:abca8ffd1dda949ed83cc521d9ddcc97278a891cef2059ea43e0b3c0e079f11f
                |-- sha256:acdd88edf581e599ab99b6010e787d49f5f0dcde6c38a56500062b7693246b2b
                |-- sha256:aefd0f6d178d4f50f8cdb1f022ac1ac108760fec332b28c69b53464e7379d4d4
                |-- sha256:b581d18743c6f8b9998f5b0a0bcd9cb599d339778433733fad5dbc848c630554
                |-- sha256:b7840add722d2d24b7e4e84fb9034cf71a12150acad0691a9e13d1291f098ab5
                |-- sha256:ba42d38960cba93ec5ac8712c558b4f4237cf77bb82abe93453922d8374647e6
                |-- sha256:be82f9f8ba7a3c3b7d4ec7431754b91acffc47f5f9708715886bcf0053052139
                |-- sha256:c0e092a27f64663a0fbdab1a184dd3a338cae56504d29e5855a69c374403d6a4
                |-- sha256:c15769d8dcd7b6a40474a8fb85e4d9be578a0de4c04cc15698e09099eb24465d
                |-- sha256:c6070da995843471ca9d08755432947f59e1450e03d48154266a2c6864f3ea5d
                |-- sha256:c6d635b120845faf194bd509476cbb7a2992257b225a120efebb0b7866253625
                |-- sha256:c73f0aa4a80f95c0a60d4e7279ff1c3f95dd7603d2b60571f568ed3b2eb97a23
                |-- sha256:caea2470135d5750ceb7a9d3d59d5d23d804267d59ae7c0dc7f535be7cf1d2b6
                |-- sha256:cce97740ed00b8c0a3245a5cc17acfc987a2fb73e81b0740db796af1e385ffeb
                |-- sha256:cd186d985bb25f73a7b631d226c609758631d685bbb1a7f2fac9559c0ea6b257
                |-- sha256:d1758102e843aafe2730e60c5eb78321ca07cee6deb3b77e84bdb0b61d0fcbc8
                |-- sha256:d545bf1602e33ff51f8c44fcbcc6fc858880d35c3d01ecc0b6e7e98576390bea
                |-- sha256:d7e5fa3a7066dae5ca74aecb0014548a858cc436b7b1d794b2e7960a9580bbb9
                |-- sha256:de9fa35dda2aba98e3a5d111de977abf8e57e469c3c021e90b8fb21522dce957
                |-- sha256:e4b523d10f6b5d025335a38a2de920e4ad621d5d138015d0cfa282ba09552b54
                |-- sha256:ea5b6022df39bc0f1d723628feffa16f7443f4d5a40625d6736d3eefdfd05d1d
                |-- sha256:f393f8c9bdd8eb9ba4d1ddeb5935829d0790dc8dfdab211021beb56a3938ea99
                |-- sha256:f48e4f6bf1045980255e48975146216e952e4c39f856e088c28051b420c6c4e6
                |-- sha256:f55a74db23851e1dfd010fa36a1e72147a0d6c1a8760718903032a8cc26f6c17
                |-- sha256:f79576e8188b543d4b05238bfbfa9da08989803cac88fc3e92ef66a6b66a5e9b
                |-- sha256:f992d1e3dbdee6fd3d4f96f8c1a94bf403a06c9665efac73fe3c814229007bfe
                |-- sha256:fc9eef5fc3da711c46aa605a16b090f098d5f4af34212737fa3dfcc483174c3a
                `-- sha256:ff45fdaaf143af841f2f84f85f4c5b0e0b03795e5a7b09a3576bdb982dd332df

6 directories, 566 files


[root@preserve-jialiu-ansible ~]# oc adm release mirror --from-dir=/mnt/mirror-to-disk/4.5.0-0.nightly-2020-05-17-220731 --from=file://test:4.5.0-0.nightly-2020-05-17-220731 --to=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release --to-release-image=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-05-17-220731
error: unable to retrieve release image info: unable to read image file://test:4.5.0-0.nightly-2020-05-17-220731: unknown blob

[root@preserve-jialiu-ansible ~]# cd /mnt/mirror-to-disk/4.5.0-0.nightly-2020-05-17-220731/
[root@preserve-jialiu-ansible 4.5.0-0.nightly-2020-05-17-220731]# oc adm release mirror --from-dir=/mnt/mirror-to-disk/4.5.0-0.nightly-2020-05-17-220731 --from=file://test:4.5.0-0.nightly-2020-05-17-220731 --to=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release --to-release-image=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-05-17-220731
info: Mirroring 110 images to upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release ...
upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/
  ocp/release
    blobs:
      file://test sha256:9831d63ecac9773e1f80530d64191d307f07f337b21c28f8abde94453f5f7975 631B
<--snip-->
d-credential-operator
info: Mirroring completed in 47.37s (127.7MB/s)

Success
Update image:  upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-05-17-220731
Mirror prefix: upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release


NOTE:
Here I was running `oc adm release mirror`, but not `oc image mirror`

Comment 11 Johnny Liu 2020-05-18 11:21:57 UTC
> NOTE:
> Here I was running `oc adm release mirror`, but not `oc image mirror`

The reason why I use `oc amd release mirror` is because comment 0 has such statement:
# move across networks
oc adm release mirror file://openshift/release:OPENSHIFT_VERSION --to MIRROR_REPOSITORY

Actually this is inconsistent with the suggested command after I run `oc adm release mirror OPENSHIFT_VERSION --to file://openshift/release` (And it sound like `oc image mirror` should be the correct command in comment 9). Is this a mistake when reporting such bug? Need a confirm here.

If `oc image mirror` is our intended command for uploading disk file to registry, then we also need update https://github.com/openshift/openshift-docs/pull/17896/files#diff-21ddacc727855ec1dc3074e6e76e430dR65 accordingly.

Comment 12 Clayton Coleman 2020-05-18 14:01:38 UTC
There is a bug for release mirror where --from=file:// does not work when a different directory is specified.  Fixing that now and will attach to this bug.

I think the mirror text changing can be a follow up - there are reasons we may not want to support that.

Comment 13 Johnny Liu 2020-05-18 14:45:15 UTC
Both ways are okay for me:
1. update doc to use `oc image mirror`
2. update the suggested command to 'oc adm release mirror' from the output when mirroring image to local disk

I just want to ensure doc and command output keep consistent, not confuse user. (Though I am not very sure what different between `oc mirror mirror` and `oc adm release mirror`)

Comment 15 Johnny Liu 2020-05-19 03:42:29 UTC
Verified this bug with 4.5.0-0.nightly-2020-05-19-011623, and PASS.

[root@preserve-jialiu-ansible ~]# oc version --client
Client Version: 4.5.0-0.nightly-2020-05-19-011623


[root@preserve-jialiu-ansible ~]# oc adm release mirror --from-dir=/mnt/mirror-to-disk/4.5.0-0.nightly-2020-05-13-185930/ --from=file://test:4.5.0-0.nightly-2020-05-13-185930 --to=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release --to-release-image=upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-05-13-185930
<--snip-->
info: Mirroring completed in 46.5s (124.5MB/s)

Success
Update image:  upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release:4.5.0-0.nightly-2020-05-13-185930
Mirror prefix: upshift-nointernet.mirror-registry.qe.devcluster.openshift.com:5000/ocp/release

Comment 19 errata-xmlrpc 2020-07-13 17:20:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.